Package org.apache.calcite.avatica.remote

# Class ClientKeytabJaasConf

java.lang.Object
javax.security.auth.login.Configuration
org.apache.calcite.avatica.remote.ClientKeytabJaasConf

public class ClientKeytabJaasConf extends Configuration
Javax Configuration class which always returns a configuration for our keytab-based login suitable for callers which are acting as initiators (e.g. a client).

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`Configuration.Parameters`

## Constructor Summary

Constructors
Constructor
Description
`ClientKeytabJaasConf(String principal, String keytab)`

## Method Summary

Modifier and Type
Method
Description
`AppConfigurationEntry[]`
`getAppConfigurationEntry(String name)`

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, refresh, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientKeytabJaasConf

public ClientKeytabJaasConf(String principal, String keytab)

## Method Details

### getAppConfigurationEntry

public AppConfigurationEntry[] getAppConfigurationEntry(String name)

Specified by:
  `getAppConfigurationEntry` in class `Configuration`